libgutenprintui2 API Reference: include/gutenprintui2/gutenprintui.h File Reference

libgutenprintui2 API Reference 5.3.3

Data Structures | Typedefs | Enumerations | Functions
gutenprintui.h File Reference
`#include <gtk/gtk.h>`
`#include <gutenprint/gutenprint.h>`
`#include <gutenprintui2/curve.h>`
`#include <gutenprintui2/gammacurve.h>`
`#include <gutenprintui2/typebuiltins.h>`

## Data Structures
struct | stpui_plist_t
struct | stpui_image

## Typedefs
typedef struct stpui_image | stpui_image_t
typedef guchar *(* | get_thumbnail_func_t) (void *data, gint *width, gint *height, gint *bpp, gint page)

## Enumerations
enum | orient_t { ORIENT_AUTO = -1, ORIENT_PORTRAIT = 0, ORIENT_LANDSCAPE = 1, ORIENT_UPSIDEDOWN = 2, ORIENT_SEASCAPE = 3 }
enum | command_t { COMMAND_TYPE_DEFAULT, COMMAND_TYPE_CUSTOM, COMMAND_TYPE_FILE }

## Functions
void | stpui_plist_set_name (stpui_plist_t *p, const char *val)
void | stpui_plist_set_name_n (stpui_plist_t *p, const char *val, int n)
const char * | stpui_plist_get_name (const stpui_plist_t *p)
void | stpui_plist_set_queue_name (stpui_plist_t *p, const char *val)
void | stpui_plist_set_queue_name_n (stpui_plist_t *p, const char *val, int n)
const char * | stpui_plist_get_queue_name (const stpui_plist_t *p)
void | stpui_plist_set_output_filename (stpui_plist_t *p, const char *val)
void | stpui_plist_set_output_filename_n (stpui_plist_t *p, const char *val, int n)
const char * | stpui_plist_get_output_filename (const stpui_plist_t *p)
void | stpui_plist_set_extra_printer_options (stpui_plist_t *p, const char *val)
void | stpui_plist_set_extra_printer_options_n (stpui_plist_t *p, const char *val, int n)
const char * | stpui_plist_get_extra_printer_options (const stpui_plist_t *p)
void | stpui_plist_set_custom_command (stpui_plist_t *p, const char *val)
void | stpui_plist_set_custom_command_n (stpui_plist_t *p, const char *val, int n)
const char * | stpui_plist_get_custom_command (const stpui_plist_t *p)
void | stpui_plist_set_copy_count (stpui_plist_t *p, gint count)
int | stpui_plist_get_copy_count (const stpui_plist_t *p)
void | stpui_plist_set_current_standard_command (stpui_plist_t *p, const char *val)
void | stpui_plist_set_current_standard_command_n (stpui_plist_t *p, const char *val, int n)
const char * | stpui_plist_get_current_standard_command (const stpui_plist_t *p)
void | stpui_plist_set_command_type (stpui_plist_t *p, command_t val)
command_t | stpui_plist_get_command_type (const stpui_plist_t *p)
void | stpui_set_global_parameter (const char *param, const char *value)
const char * | stpui_get_global_parameter (const char *param)
void | stpui_plist_copy (stpui_plist_t *vd, const stpui_plist_t *vs)
int | stpui_plist_add (const stpui_plist_t *key, int add_only)
void | stpui_printer_initialize (stpui_plist_t *printer)
const stpui_plist_t * | stpui_get_current_printer (void)
char * | stpui_build_standard_print_command (const stpui_plist_t *plist, const stp_printer_t *printer)
void | stpui_set_printrc_file (const char *name)
const char * | stpui_get_printrc_file (void)
void | stpui_printrc_load (void)
void | stpui_get_system_printers (void)
void | stpui_printrc_save (void)
void | stpui_set_image_filename (const char *)
const char * | stpui_get_image_filename (void)
void | stpui_set_errfunc (stp_outfunc_t wfunc)
stp_outfunc_t | stpui_get_errfunc (void)
void | stpui_set_errdata (void *errdata)
void * | stpui_get_errdata (void)
gint | stpui_do_print_dialog (void)
gint | stpui_compute_orientation (void)
void | stpui_set_image_dimensions (gint width, gint height)
void | stpui_set_image_resolution (gdouble xres, gdouble yres)
void | stpui_set_image_type (const char *image_type)
void | stpui_set_image_raw_channels (gint channels)
void | stpui_set_image_channel_depth (gint bit_depth)
void | stpui_set_thumbnail_func (get_thumbnail_func_t)
get_thumbnail_func_t | stpui_get_thumbnail_func (void)
void | stpui_set_thumbnail_data (void *)
void * | stpui_get_thumbnail_data (void)
int | stpui_print (const stpui_plist_t *printer, stpui_image_t *im)

## Typedef Documentation

## ◆ get_thumbnail_func_t

typedef guchar*(* get_thumbnail_func_t) (void *data, gint *width, gint *height, gint *bpp, gint page)

## ◆ stpui_image_t

typedef struct stpui_image stpui_image_t

## Enumeration Type Documentation

## ◆ command_t

enum command_t

Enumerator
COMMAND_TYPE_DEFAULT |
COMMAND_TYPE_CUSTOM |
COMMAND_TYPE_FILE |

## ◆ orient_t

enum orient_t

Enumerator
ORIENT_AUTO |
ORIENT_PORTRAIT |
ORIENT_LANDSCAPE |
ORIENT_UPSIDEDOWN |
ORIENT_SEASCAPE |

## Function Documentation

## ◆ stpui_build_standard_print_command()

char* stpui_build_standard_print_command | ( | const stpui_plist_t * | plist,
|  | const stp_printer_t * | printer
| ) |  |

## ◆ stpui_compute_orientation()

gint stpui_compute_orientation | ( | void |  | ) |

## ◆ stpui_do_print_dialog()

gint stpui_do_print_dialog | ( | void |  | ) |

## ◆ stpui_get_current_printer()

const stpui_plist_t* stpui_get_current_printer | ( | void |  | ) |

## ◆ stpui_get_errdata()

void* stpui_get_errdata | ( | void |  | ) |

## ◆ stpui_get_errfunc()

stp_outfunc_t stpui_get_errfunc | ( | void |  | ) |

## ◆ stpui_get_global_parameter()

const char* stpui_get_global_parameter | ( | const char * | param | ) |

## ◆ stpui_get_image_filename()

const char* stpui_get_image_filename | ( | void |  | ) |

## ◆ stpui_get_printrc_file()

const char* stpui_get_printrc_file | ( | void |  | ) |

## ◆ stpui_get_system_printers()

void stpui_get_system_printers | ( | void |  | ) |

## ◆ stpui_get_thumbnail_data()

void* stpui_get_thumbnail_data | ( | void |  | ) |

## ◆ stpui_get_thumbnail_func()

get_thumbnail_func_t stpui_get_thumbnail_func | ( | void |  | ) |

## ◆ stpui_plist_add()

int stpui_plist_add | ( | const stpui_plist_t * | key,
|  | int | add_only
| ) |  |

## ◆ stpui_plist_copy()

void stpui_plist_copy | ( | stpui_plist_t * | vd,
|  | const stpui_plist_t * | vs
| ) |  |

## ◆ stpui_plist_get_command_type()

command_t stpui_plist_get_command_type | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_copy_count()

int stpui_plist_get_copy_count | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_current_standard_command()

const char* stpui_plist_get_current_standard_command | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_custom_command()

const char* stpui_plist_get_custom_command | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_extra_printer_options()

const char* stpui_plist_get_extra_printer_options | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_name()

const char* stpui_plist_get_name | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_output_filename()

const char* stpui_plist_get_output_filename | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_get_queue_name()

const char* stpui_plist_get_queue_name | ( | const stpui_plist_t * | p | ) |

## ◆ stpui_plist_set_command_type()

void stpui_plist_set_command_type | ( | stpui_plist_t * | p,
|  | command_t | val
| ) |  |

## ◆ stpui_plist_set_copy_count()

void stpui_plist_set_copy_count | ( | stpui_plist_t * | p,
|  | gint | count
| ) |  |

## ◆ stpui_plist_set_current_standard_command()

void stpui_plist_set_current_standard_command | ( | stpui_plist_t * | p,
|  | const char * | val
| ) |  |

## ◆ stpui_plist_set_current_standard_command_n()

void stpui_plist_set_current_standard_command_n | ( | stpui_plist_t * | p,
|  | const char * | val,
|  | int | n
| ) |  |

## ◆ stpui_plist_set_custom_command()

void stpui_plist_set_custom_command | ( | stpui_plist_t * | p,
|  | const char * | val
| ) |  |

## ◆ stpui_plist_set_custom_command_n()

void stpui_plist_set_custom_command_n | ( | stpui_plist_t * | p,
|  | const char * | val,
|  | int | n
| ) |  |

## ◆ stpui_plist_set_extra_printer_options()

void stpui_plist_set_extra_printer_options | ( | stpui_plist_t * | p,
|  | const char * | val
| ) |  |

## ◆ stpui_plist_set_extra_printer_options_n()

void stpui_plist_set_extra_printer_options_n | ( | stpui_plist_t * | p,
|  | const char * | val,
|  | int | n
| ) |  |

## ◆ stpui_plist_set_name()

void stpui_plist_set_name | ( | stpui_plist_t * | p,
|  | const char * | val
| ) |  |

## ◆ stpui_plist_set_name_n()

void stpui_plist_set_name_n | ( | stpui_plist_t * | p,
|  | const char * | val,
|  | int | n
| ) |  |

## ◆ stpui_plist_set_output_filename()

void stpui_plist_set_output_filename | ( | stpui_plist_t * | p,
|  | const char * | val
| ) |  |

## ◆ stpui_plist_set_output_filename_n()

void stpui_plist_set_output_filename_n | ( | stpui_plist_t * | p,
|  | const char * | val,
|  | int | n
| ) |  |

## ◆ stpui_plist_set_queue_name()

void stpui_plist_set_queue_name | ( | stpui_plist_t * | p,
|  | const char * | val
| ) |  |

## ◆ stpui_plist_set_queue_name_n()

void stpui_plist_set_queue_name_n | ( | stpui_plist_t * | p,
|  | const char * | val,
|  | int | n
| ) |  |

## ◆ stpui_print()

int stpui_print | ( | const stpui_plist_t * | printer,
|  | stpui_image_t * | im
| ) |  |

## ◆ stpui_printer_initialize()

void stpui_printer_initialize | ( | stpui_plist_t * | printer | ) |

## ◆ stpui_printrc_load()

void stpui_printrc_load | ( | void |  | ) |

## ◆ stpui_printrc_save()

void stpui_printrc_save | ( | void |  | ) |

## ◆ stpui_set_errdata()

void stpui_set_errdata | ( | void * | errdata | ) |

## ◆ stpui_set_errfunc()

void stpui_set_errfunc | ( | stp_outfunc_t | wfunc | ) |

## ◆ stpui_set_global_parameter()

void stpui_set_global_parameter | ( | const char * | param,
|  | const char * | value
| ) |  |

## ◆ stpui_set_image_channel_depth()

void stpui_set_image_channel_depth | ( | gint | bit_depth | ) |

## ◆ stpui_set_image_dimensions()

void stpui_set_image_dimensions | ( | gint | width,
|  | gint | height
| ) |  |

## ◆ stpui_set_image_filename()

void stpui_set_image_filename | ( | const char * |  | ) |

## ◆ stpui_set_image_raw_channels()

void stpui_set_image_raw_channels | ( | gint | channels | ) |

## ◆ stpui_set_image_resolution()

void stpui_set_image_resolution | ( | gdouble | xres,
|  | gdouble | yres
| ) |  |

## ◆ stpui_set_image_type()

void stpui_set_image_type | ( | const char * | image_type | ) |

## ◆ stpui_set_printrc_file()

void stpui_set_printrc_file | ( | const char * | name | ) |

## ◆ stpui_set_thumbnail_data()

void stpui_set_thumbnail_data | ( | void * |  | ) |

## ◆ stpui_set_thumbnail_func()

void stpui_set_thumbnail_func | ( | get_thumbnail_func_t |  | ) |